## thunar-gtk-extensions thunar-gtk-extensions |

## Functions

void | thunar_gtk_label_set_a11y_relation ()
void | thunar_gtk_menu_clean ()
void | thunar_gtk_menu_run ()
void | thunar_gtk_menu_run_at_event ()
void | thunar_gtk_menu_hide_accel_labels ()
void | thunar_gtk_widget_set_tooltip ()
GtkWidget * | thunar_gtk_menu_thunarx_menu_item_new ()
GMountOperation * | thunar_gtk_mount_operation_new ()
GtkWidget * | thunar_gtk_get_focused_widget ()
gboolean | thunar_gtk_editable_can_cut ()
gboolean | thunar_gtk_editable_can_copy ()
gboolean | thunar_gtk_editable_can_paste ()

## Description

## Functions

### thunar_gtk_label_set_a11y_relation ()

    void
    thunar_gtk_label_set_a11y_relation (GtkLabel *label,
                                        GtkWidget *widget);

Sets the `ATK_RELATION_LABEL_FOR` relation on `label` for `widget` , which means accessiblity tools will identify `label` as descriptive item for the specified `widget` .

#### Parameters

label | a GtkLabel. |
widget | a GtkWidget. |

### thunar_gtk_menu_clean ()

    void
    thunar_gtk_menu_clean (GtkMenu *menu);

Walks through the menu and all submenus and removes them, so that the result will be a clean GtkMenu without any items

#### Parameters

menu | a GtkMenu. |

### thunar_gtk_menu_run ()

    void
    thunar_gtk_menu_run (GtkMenu *menu);

Conveniance wrapper for thunar_gtk_menu_run_at_event_pointer, to run a menu for the current event

#### Parameters

menu | a GtkMenu. |

### thunar_gtk_menu_run_at_event ()

    void
    thunar_gtk_menu_run_at_event (GtkMenu *menu,
                                  GdkEvent *event);

A simple wrapper around `gtk_menu_popup_at_pointer()`, which runs the `menu` in a separate main loop and returns only after the `menu` was deactivated.

This method automatically takes over the floating reference of `menu` if any and releases it on return. That means if you created the menu via `gtk_menu_new()` you'll not need to take care of destroying the menu later.

#### Parameters

menu | a GtkMenu. |
event | a GdkEvent which may be NULL if no previous event was stored. |

### thunar_gtk_menu_hide_accel_labels ()

    void
    thunar_gtk_menu_hide_accel_labels (GtkMenu *menu);

Will hide the accel_labels of all menu items of this menu and its submenus

#### Parameters

menu | a GtkMenu instance |

### thunar_gtk_widget_set_tooltip ()

    void
    thunar_gtk_widget_set_tooltip (GtkWidget *widget,
                                   const gchar *format,
                                   ...);

Sets the tooltip for the `widget` to a string generated from the `format` and the additional arguments in @....

#### Parameters

widget | a GtkWidget for which to set the tooltip. |
format | a printf(3)-style format string. |
... | additional arguments for `format` . |

### thunar_gtk_menu_thunarx_menu_item_new ()

    GtkWidget *
    thunar_gtk_menu_thunarx_menu_item_new (GObject *thunarx_menu_item,
                                           GtkMenuShell *menu_to_append_item);

method to create a GtkMenuItem from a ThunarxMenuItem and append it to the passed GtkMenuShell This method will as well add all sub-items in case the passed ThunarxMenuItem is a submenu

#### Parameters

thunarx_menu_item | a ThunarxMenuItem |
menu_to_append_item | GtkMenuShell on which the item should be appended, or NULL |

#### Returns

The new GtkImageMenuItem.

[transfer full]

### thunar_gtk_mount_operation_new ()

    GMountOperation *
    thunar_gtk_mount_operation_new (gpointer parent);

Create a mount operation with some defaults.

#### Parameters

parent | a GtkWindow or non-toplevel widget. |

### thunar_gtk_get_focused_widget ()

    GtkWidget *
    thunar_gtk_get_focused_widget (void);

### thunar_gtk_editable_can_cut ()

    gboolean
    thunar_gtk_editable_can_cut (GtkEditable *editable);

#### Returns

TRUE if it's possible to cut text off of a GtkEditable. FALSE, otherwise.

### thunar_gtk_editable_can_copy ()

    gboolean
    thunar_gtk_editable_can_copy (GtkEditable *editable);

#### Returns

TRUE if it's possible to copy text from a GtkEditable. FALSE, otherwise.

### thunar_gtk_editable_can_paste ()

    gboolean
    thunar_gtk_editable_can_paste (GtkEditable *editable);

#### Returns

TRUE if it's possible to paste text to a GtkEditable. FALSE, otherwise.